Next Previous Contents

## 3.35 clock

> Function

>   Determine the processor time used.

> Header

>   `time.h`

> Declaration

>   `clock_t clock (void);`

> Description

>   The `clock` function returns an approximaton of processor time used by the program. The time is returned in implementation defined units. It can be converted to seconds by dividing by the value in the macro `CLOCKS_PER_SEC`.

> Limits

>   - Since the machines, cc65 generated programs run on, cannot run multiple processes, the function will actually return the time since some implementation defined point in the past.
> Availability

>   ISO 9899

> See also

>   time

> Example

>   None.

Next Previous Contents